Generate cinematic images with professional camera models, lenses, apertures, and focal lengths.

Model

higgsfield-ai/cinematic-studio-image

Parameters

ParameterTypeRequiredDescription
promptstringYesText description of the image
image_urlsstring[]NoReference image URLs (max 4)
aspect_ratiostringNo1:1, 3:4, 2:3, 9:16, 3:2, 4:3, 16:9, 21:9. Default: 16:9
resolutionstringNo1k, 2k, 4k (default: 1k). Scales the output dimensions of the chosen aspect ratio
seedintegerNo0-999999 for reproducibility
camera_model_idstringNoCamera body ID from Resources API
camera_lens_idstringNoLens ID. Affects perspective and distortion
camera_aperture_idstringNoAperture ID. Controls depth of field
camera_focal_length_idstringNoFocal length ID. Controls field of view

Example Request

curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "higgsfield-ai/cinematic-studio-image",
    "input": {
      "prompt": "A serene mountain landscape at golden hour",
      "resolution": "4k",
      "aspect_ratio": "21:9"
    }
  }'

With Camera Settings

curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "higgsfield-ai/cinematic-studio-image",
    "input": {
      "prompt": "Portrait of a person in natural lighting",
      "aspect_ratio": "3:4",
      "resolution": "4k",
      "image_urls": ["https://example.com/reference.jpg"],
      "camera_model_id": "camera-model-uuid",
      "camera_lens_id": "camera-lens-uuid",
      "camera_aperture_id": "camera-aperture-uuid",
      "camera_focal_length_id": "camera-focal-length-uuid"
    }
  }'

Response

{
  "code": 200,
  "success": true,
  "data": {
    "task_id": "abc123def456",
    "status": "pending"
  }
}